Bug 1122926 - Remove unhelpful configure messages suggesting to use --disable-webgl or install the DirectX SDK; r=glandium
authorEhsan Akhgari <ehsan@mozilla.com>
Sat, 17 Jan 2015 12:39:03 -0500
changeset 239393 0db65ae029daf2e9aea8dfbb3bc640ebdb57a963
parent 239392 a652d8b5f0026f0623f014efb000f14cef855941
child 239394 c579974cfa318f1e981fd9b64f4fc61da7d4281d
push id497
push usermleibovic@mozilla.com
push dateWed, 28 Jan 2015 16:43:37 +0000
reviewersglandium
bugs1122926, 1052518
milestone38.0a1
Bug 1122926 - Remove unhelpful configure messages suggesting to use --disable-webgl or install the DirectX SDK; r=glandium --disable-webgl was removed in bug 1052518, and we don't need a separate DirectX SDK installation any more.
configure.in
--- a/configure.in
+++ b/configure.in
@@ -5942,17 +5942,16 @@ if test -n "$MOZ_ANGLE_RENDERER"; then
           MOZ_DIRECTX_SDK_PATH=
         fi
       else
         AC_MSG_RESULT([Couldn't determine the D3DX9 version for the DirectX SDK.])
         MOZ_DIRECTX_SDK_PATH=
       fi
     else
       AC_MSG_RESULT([Couldn't find an acceptable DirectX SDK for ANGLE, needed for d3dcompiler_43.])
-      AC_MSG_RESULT([  Either ignore, install DirectX SDK (June 2010 version or newer), or reconfigure with --disable-webgl.])
     fi
   fi
 
   ######################################
   # Check that we found what we needed.
   MOZ_FOUND_A_D3D_COMPILER=
   MOZ_FOUND_BOTH_D3D_COMPILERS=1
 
@@ -5968,17 +5967,16 @@ if test -n "$MOZ_ANGLE_RENDERER"; then
     AC_MSG_RESULT([Found d3dcompiler DLL for XP: $MOZ_D3DCOMPILER_XP_DLL])
   else
     MOZ_FOUND_BOTH_D3D_COMPILERS=
   fi
 
   if test -z "$CROSS_COMPILE"; then
     if test -z "MOZ_FOUND_A_D3D_COMPILER"; then
       AC_MSG_ERROR([Couldn't find an acceptable D3D compiler DLL.])
-      AC_MSG_ERROR([  Either install Windows SDK 8.0+, install DirectX SDK (June 2010 version or newer), or reconfigure with --disable-webgl.])
     fi
 
     if test -n "$MOZ_REQUIRE_ALL_D3DCS" -a -z "$MOZ_FOUND_BOTH_D3D_COMPILERS"; then
       AC_MSG_ERROR([Both D3D compilers _43 and _46+ are required by --enable-require-d3d-compilers.])
       AC_MSG_ERROR([  Install Windows SDK 8.0+, as well as DirectX SDK (June 2010 version or newer), or reconfigure without this flag.])
     fi
   fi
 fi